.discours--container {
    padding: 1rem 0;
    animation: animationEnter 0.5s ease-in-out;
    font-family: var(--font-system);
}

.discours--container--title {
    font-weight: 400;
    font-size: 2rem;
    text-transform: uppercase;
    font-family: var(--title-font);
    margin-bottom: 3rem;
    padding: 0 3.5rem;
}

.discours--all--wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
    margin-bottom: 2rem;
    justify-content: space-evenly;
}

.enter-discours {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    gap: 5rem;
    background-color: #F3F3F3;
    padding: 3.2rem 5rem;
    position: relative;
}

.enter-discours::after {
    content: '';
    width: 100%;
    height: 90%;
    position: absolute;
    bottom: 0;
    left: 0;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.dev/svgjs' width='1440' height='560' preserveAspectRatio='none' viewBox='0 0 1440 560'%3e%3cg mask='url(%26quot%3b%23SvgjsMask1007%26quot%3b)' fill='none'%3e%3cpath d='M1440 0L1037.05 0L1440 155.37z' fill='rgba(255%2c 255%2c 255%2c .085)'%3e%3c/path%3e%3cpath d='M1037.05 0L1440 155.37L1440 242.48000000000002L967.24 0z' fill='rgba(255%2c 255%2c 255%2c .065)'%3e%3c/path%3e%3cpath d='M967.24 0L1440 242.48000000000002L1440 292.24L774.74 0z' fill='rgba(255%2c 255%2c 255%2c .05)'%3e%3c/path%3e%3cpath d='M774.74 0L1440 292.24L1440 451.20000000000005L251.75 0z' fill='rgba(255%2c 255%2c 255%2c .025)'%3e%3c/path%3e%3cpath d='M0 560L252.32 560L0 456.94z' fill='rgba(0%2c 0%2c 0%2c .1)'%3e%3c/path%3e%3cpath d='M0 456.94L252.32 560L840 560L0 274.36z' fill='rgba(0%2c 0%2c 0%2c .075)'%3e%3c/path%3e%3cpath d='M0 274.36L840 560L1005.05 560L0 180.91000000000003z' fill='rgba(0%2c 0%2c 0%2c .05)'%3e%3c/path%3e%3cpath d='M0 180.91000000000003L1005.05 560L1268.52 560L0 135.26000000000002z' fill='rgba(0%2c 0%2c 0%2c .025)'%3e%3c/path%3e%3c/g%3e%3cdefs%3e%3cmask id='SvgjsMask1007'%3e%3crect width='1440' height='560' fill='white'%3e%3c/rect%3e%3c/mask%3e%3c/defs%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: bottom left;
    z-index: 1;
}

.session-pleniere {
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    gap: 5rem;
    background-color: #F3F3F3;
    padding: 3.2rem 5rem;
    position: relative;
}

.session-pleniere::after {
    content: '';
    width: 100%;
    height: 90%;
    position: absolute;
    bottom: 0;
    left: 0;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' version='1.1' xmlns:xlink='http://www.w3.org/1999/xlink' xmlns:svgjs='http://svgjs.dev/svgjs' width='1440' height='560' preserveAspectRatio='none' viewBox='0 0 1440 560'%3e%3cg mask='url(%26quot%3b%23SvgjsMask1009%26quot%3b)' fill='none'%3e%3cpath d='M0 0L333.2 0L0 152.05z' fill='rgba(255%2c 255%2c 255%2c .1)'%3e%3c/path%3e%3cpath d='M0 152.05L333.2 0L909.8699999999999 0L0 249.33z' fill='rgba(255%2c 255%2c 255%2c .075)'%3e%3c/path%3e%3cpath d='M0 249.33L909.8699999999999 0L1216.2199999999998 0L0 391.27z' fill='rgba(255%2c 255%2c 255%2c .05)'%3e%3c/path%3e%3cpath d='M0 391.27L1216.2199999999998 0L1277.2999999999997 0L0 466.45z' fill='rgba(255%2c 255%2c 255%2c .025)'%3e%3c/path%3e%3cpath d='M1440 560L979.94 560L1440 473.52z' fill='rgba(0%2c 0%2c 0%2c .1)'%3e%3c/path%3e%3cpath d='M1440 473.52L979.94 560L970.72 560L1440 363.92999999999995z' fill='rgba(0%2c 0%2c 0%2c .075)'%3e%3c/path%3e%3cpath d='M1440 363.93L970.72 560L511.49 560L1440 232.37z' fill='rgba(0%2c 0%2c 0%2c .05)'%3e%3c/path%3e%3cpath d='M1440 232.37L511.49 560L276.59000000000003 560L1440 106.56z' fill='rgba(0%2c 0%2c 0%2c .025)'%3e%3c/path%3e%3c/g%3e%3cdefs%3e%3cmask id='SvgjsMask1009'%3e%3crect width='1440' height='560' fill='white'%3e%3c/rect%3e%3c/mask%3e%3c/defs%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: bottom right;
    z-index: 1;
}

.left--side {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2.5rem;
}

.left--side--head {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.left--side--head h2 {
    font-size: 50px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}

.bottom--date,
.top--date {
    font-size: 20px;
    font-style: normal;
    font-weight: 200;
    line-height: normal;
}

.bottom--date::first-letter,
.top--date::first-letter {
    text-transform: uppercase;
}

.left--side hr {
    width: 20%;
    border: 1px solid var(--primary-color);
}

.left--side--main {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.top--intro,
.author,
.bottom--author {
    font-size: 20px;
    font-style: italic;
    font-weight: 300;
    line-height: normal;
    white-space: pre-line;
}

.right--side {
    flex: 1.1;
    padding: 1rem 0;
    padding-left: 3rem;
    border-left: 1px solid rgba(180, 180, 180, 0.79);
}

.content {
    line-height: 25px;
    white-space: pre-line;
    font-style: italic;
    display: -webkit-box;
    -webkit-line-clamp: 16;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: var(--font-system);
    font-weight: 300;
    text-align: justify;
}

.top--link {
    margin-top: 2.5rem;
    display: flex;
    justify-content: end;
}

.top--link a {
    text-decoration: none;
    font-style: italic;
    color: var(--primary-color);
    font-weight: 200;
    z-index: 999;
}

.other--discours {
    padding: 3rem 4.5rem;
    display: flex;
    gap: 8rem;
    justify-content: center;
    flex-wrap: wrap;
}

.one--discours {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    color: black;
    text-decoration: none;
    padding: 2rem;
    transition: all .3s ease-in-out;
    width: 45%;
    border-left: 1.5px solid var(--primary-color);
    border-radius: 0 8px 8px 0;
}

.one--discours:hover {
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
}

.one--top--content h3 {
    font-size: 35px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    margin-bottom: 1.2rem;
    transition: all .3s ease-in-out;
}

@media (max-width: 1310px) {
    .one--discours {
        width: 95%;
    }
}

@media (max-width: 1000px) {
    .enter-discours,
    .session-pleniere {
        flex-direction: column;
    }
}

@media (max-width: 800px) {
    .other--discours {
        padding: 3rem 1.5rem;
        gap: 4rem;
    }

    .enter-discours,
    .session-pleniere {
        gap: 3rem;
        padding: 3rem 2rem;
    }

    .right--side {
        padding-left: 1.2rem;
    }

    .discours--container--title {
        padding: 1.2rem;
    }
}
